Get Mining Accounts
curl --request POST \
--url https://whitebit.com/api/v4/mining/accounts \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"request": "{{request}}",
"nonce": "{{nonce}}",
"name": "my_miner_01"
}
'import requests
url = "https://whitebit.com/api/v4/mining/accounts"
payload = {
"request": "{{request}}",
"nonce": "{{nonce}}",
"name": "my_miner_01"
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({request: '{{request}}', nonce: '{{nonce}}', name: 'my_miner_01'})
};
fetch('https://whitebit.com/api/v4/mining/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "my_miner_01",
"createdAt": 1709340000
},
{
"name": "my_miner_02",
"createdAt": 1709350000
}
],
"limit": 30,
"offset": 0
}{
"code": 0,
"message": "Validation failed",
"errors": {
"name": [
"Some error"
]
}
}Get Mining Accounts
List all mining accounts associated with a WhiteBIT account via the V4 API.
POST
/
api
/
v4
/
mining
/
accounts
Get Mining Accounts
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Was this page helpful?
⌘I